curl https://dev.methodfi.com/simulate/events \
-X POST \
-H "Method-Version: 2025-12-01" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"type": "credit_score.create",
"entity_id": "ent_au22b1fbFJbp8"
}'
const event = await method
.simulate
.events
.create({
type: "credit_score.create",
entity_id: "ent_au22b1fbFJbp8"
});
event = method.simulate.events.create({
"type": "credit_score.create",
"entity_id": "ent_au22b1fbFJbp8"
})
Simulations (Dev)
Simulate an Event
POST
/
simulate
/
events
curl https://dev.methodfi.com/simulate/events \
-X POST \
-H "Method-Version: 2025-12-01" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"type": "credit_score.create",
"entity_id": "ent_au22b1fbFJbp8"
}'
const event = await method
.simulate
.events
.create({
type: "credit_score.create",
entity_id: "ent_au22b1fbFJbp8"
});
event = method.simulate.events.create({
"type": "credit_score.create",
"entity_id": "ent_au22b1fbFJbp8"
})
Event simulation is available to test webhook handlers and event processing logic.
Prerequisites
Some event types require specific endpoints to be called first:attribute.*events: callPOST /entities/{ent_id}/attributesfirstcredit_score.*events: callPOST /entities/{ent_id}/credit_scoresfirstaccount.openedevents: callPOST /entities/{ent_id}/connectfirst
Request Body
Entity Events
Account Events
curl https://dev.methodfi.com/simulate/events \
-X POST \
-H "Method-Version: 2025-12-01" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"type": "credit_score.create",
"entity_id": "ent_au22b1fbFJbp8"
}'
const event = await method
.simulate
.events
.create({
type: "credit_score.create",
entity_id: "ent_au22b1fbFJbp8"
});
event = method.simulate.events.create({
"type": "credit_score.create",
"entity_id": "ent_au22b1fbFJbp8"
})